Package org.apache.drill.jdbc

# Class ExecutionCanceledSqlException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
java.sql.SQLNonTransientException
org.apache.drill.jdbc.ExecutionCanceledSqlException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class ExecutionCanceledSqlException extends SQLNonTransientException
SQLException for execution-canceled condition.

Intended for throwing by methods that start SQL statement execution (e.g., `Statement#execute`) or return data from execution (e.g., `ResultSet` methods).

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ExecutionCanceledSqlException(String reason)`
See `SQLNonTransientException(String)`.

## Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### ExecutionCanceledSqlException

public ExecutionCanceledSqlException(String reason)
See `SQLNonTransientException(String)`.